==========
Experimental Modules
==========

This module contains experimental modules and reproductions of existing work using LangChain primitives.

Autonomous Agents
------------------

Here, we document the BabyAGI and AutoGPT classes from the langchain.experimental module.

.. autoclass:: langchain.experimental.BabyAGI
   :members:

.. autoclass:: langchain.experimental.AutoGPT
   :members:


Generative Agents
------------------

Here, we document the GenerativeAgent and GenerativeAgentMemory classes from the langchain.experimental module.

.. autoclass:: langchain.experimental.GenerativeAgent
   :members:

.. autoclass:: langchain.experimental.GenerativeAgentMemory
   :members:
